<template>
  <div class="bg-white p-6 border border-grey-default rounded-md shadow-sm">
    <div class="flex items-center justify-between mb-3 pb-3 border-b border-grey-default">
      <t-span weight="bold" size="text-md" class="text-black-default">
        Temperature
      </t-span>
      <t-span weight="bold" size="text-xl" class="text-red-default">Over 37.5°</t-span>
    </div>
    <div v-for="floor in store.getFloorTemperatures" :key="floor.id" class="flex items-center justify-between border-b border-grey-default last:border-0 mb-3 pb-3 last:mb-0">
      <t-span class="text-black-default" size="text-md">{{ floor.name }}</t-span>
      <div class="flex gap-3">
        <TemparatureDialog v-for="area in floor.areas" :key="area.id" :area="area" :floor-id="floor.id">
          <outline-action-button>{{ area.name }}: {{ area.total }}</outline-action-button>
        </TemparatureDialog>
      </div>
    </div>
  </div>
</template>
<script>
import { defineComponent } from '@nuxtjs/composition-api'
import { useBuilding } from '~/store/building'
import TSpan from '~/components/shared/typography/Span'
import TemparatureDialog from '~/components/temperature/TemperatureDialog.vue'
import OutlineActionButton from '~/components/shared/buttons/OutlineActionButton'

export default defineComponent({
  components: { TSpan, TemparatureDialog, OutlineActionButton },
  setup() {
    const store = useBuilding()
    return { store }
  },
})
</script>
